Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027820
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2014-10-09 17:302015-01-30 11:41
ReportermaiteView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision81e131e2af2c
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Topramakrishnan
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression levelProduction - QA Approved
Regression date2014-05-26
Regression introduced in release3.0PR14Q3
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/f5796fb5b658e22a9b1b50d0ad17369a9c609c0f [^]
Triggers an Emergency PackNo
Summary

0027820: Error when posting Payment/Transaction/Reconciliation referencing a cash vat invoice linked to several orders

DescriptionError when posting Payment/Transaction/Reconciliation referencing a cash vat invoice linked to several orders
Steps To Reproduce0. Define your organization as "cash vat"
1. Register Sales Order for that Organization and any Business Partner (ensure that "cash vat" flag is selected). Add any line (ensure that cash vat tax is set) and process.
2. Register another Sales Order for that Organization and same Business Partner (ensure that "cash vat" flag is selected). Add any line (ensure that cash vat tax is set) and process.
3. Register Sales Invoice for same Organization and Business Partner (ensure that "cash vat" flag is selected). Run "Create Lines from" process and select previous orders (ensure that cash vat tax is set) and process.
4. Post Sales Invoice and verify that tax transitory account is used
5. Register Payment In for that invoice and process
6. Post Payment and realize that tax amount is duplicated in accounting entry
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00274603.0PR14Q4 closedAtulOpenbravo Openbravo ERP Error when posting Payment/Transaction/Reconciliation referencing several cash vat invoices 
related to defect 0033508 closedmarkmm82 Openbravo ERP Cannot post a Cash VAT payment that pays more than one invoice, Process failed during execution error is shown 
causes defect 0028533 closedSandrahuguet Modules Remittance module does not properly manage temporary Cash VAT posting into fnal VAT posting 

-  Notes
(0071960)
AtulOpenbravo (developer)
2014-11-25 10:26

- Test Plan
1 ] Define organization F&B US Inc as "cash vat".
2 ] Create Sales Order for that Organization and any Business Partner (ensure that "cash vat" flag is selected). Add any line (ensure for tax selected, cash vat flag, transit Due and Credit account are set) and process.
3 ] Create another Sales Order for that Organization and any Business Partner (ensure that "cash vat" flag is selected). Add any line (ensure that cash vat tax is set) and process.
4 ] Create Sales Invoice for same Organization and Business Partner (ensure that "cash vat" flag is selected). Run "Create Lines from" process and select previous orders (ensure that cash vat tax is set) and process.
5 ] Post Sales Invoice and verify that tax transitory account is used.
6 ] Register Payment In for that invoice and process.
7 ] Post Payment and check that tax amount is proper in accounting entry. [No Duplication in the values is seen as earlier without fix].
(0072097)
pramakrishnan (developer)
2014-11-28 09:40

Issue resolved in changeset https://code.openbravo.com/erp/devel/pi/rev/81e131e2af2c [^]
(0072118)
pramakrishnan (developer)
2014-11-28 12:12

Code Review + Testing - OK.

- Issue History
Date Modified Username Field Change
2014-10-09 17:30 maite New Issue
2014-10-09 17:30 maite Assigned To => dmiguelez
2014-10-09 17:30 maite Modules => Advanced Payables and Receivables Mngmt
2014-10-09 17:30 maite Triggers an Emergency Pack => No
2014-10-09 17:30 maite Assigned To dmiguelez => AtulOpenbravo
2014-10-09 17:31 maite Target Version => 3.0PR15Q1
2014-10-09 17:32 maite Issue Monitored: networkb
2014-10-09 17:34 maite Relationship added related to 0027460
2014-11-13 18:26 maite Priority urgent => immediate
2014-11-17 10:51 AtulOpenbravo Status new => scheduled
2014-11-17 10:51 AtulOpenbravo fix_in_branch => pi
2014-11-25 10:02 Sandrahuguet Regression level => Production - QA Approved
2014-11-25 10:02 Sandrahuguet Regression introduced in release => 3.0PR14Q3
2014-11-25 10:02 Sandrahuguet fix_in_branch pi =>
2014-11-25 10:26 AtulOpenbravo Note Added: 0071960
2014-11-25 10:27 AtulOpenbravo Regression date => 2014-05-26
2014-11-25 10:27 AtulOpenbravo Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/f5796fb5b658e22a9b1b50d0ad17369a9c609c0f [^]
2014-11-28 09:39 pramakrishnan Status scheduled => resolved
2014-11-28 09:39 pramakrishnan Fixed in SCM revision => https://code.openbravo.com/erp/devel/pi/rev/81e131e2af2c [^]
2014-11-28 09:39 pramakrishnan Resolution open => fixed
2014-11-28 09:40 pramakrishnan Note Added: 0072097
2014-11-28 12:12 pramakrishnan Review Assigned To => pramakrishnan
2014-11-28 12:12 pramakrishnan Note Added: 0072118
2014-11-28 12:12 pramakrishnan Status resolved => closed
2015-01-07 14:10 ngarcia Relationship added causes 0028533
2015-01-30 11:41 psanjuan Steps to Reproduce Updated View Revisions
2016-07-26 11:48 aferraz Relationship added related to 0033508


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker